#define __CTL3DLDR_H

/* we can not load ctl3dv2.dll twice. So we save the handle for multiple use */

class ctl3dloader
{
   int isfree;                       /* should we call free() when destructed? */

   static int count;                                              /* ref count */

   static HINSTANCE h;                                /* handle to ctl3d32.dll */

   public:

   ctl3dloader()
   {
      isfree = 0;
   }
   ctl3dloader(int *r)
   {
      *r = init();
   }
  ~ctl3dloader()
   {
      if (isfree)
      {
         free();
      }
   }
   int init();
   void free();
   void takectl(HWND wnd);
};

