#define __UNZLDR_H


#ifndef __STDIO_H
#include "stdio.h"
#endif
#ifndef __DLLLDR_H
#include "dllldr.h"
#endif


class lzpunzldr:public dllldr
{
   public:

   enum
   {
      ZIP_ANY = 0, ZIP_PKW = 1, ZIP_GNU = 2
   };

   int init()
   {
      return dllldr::init("lzpunz32.dll");
   }
   int   LzpGetError();
   int   LzpUnzAlloc();
   int   LzpUnzOpen(char path[], int ziptype);
   int   LzpUnzRead(char buf[], unsigned len);
   int   LzpUnzClose();
   void  LzpUnzFree();
   DWORD LzpGetOrigSize(char path[]);
};

