#define __FSTRM_H

#ifndef __STDIO_H
#include "stdio.h"
#endif


class abspath;

class varpath;

class dstring;

class fstrm
{
   FILE *f;

   public:

   int ecode;                         /* 0 -- ok  1 -- disk error  2 -- memory */

   fstrm()
   {
      ecode = 0;

      f = 0;
   }
   fstrm(int *r, abspath &path, char mode[]);
  ~fstrm();

   int init(abspath &path, char mode[]);
   int chkeof();
   int fputblk(void *b, int n);
   int fgetblk(void *b, int n);
   int fgetx(dstring *s);
   int fputx(dstring &s);
   int fputx(char s[]);
   int fgetp(varpath *p);
   int fputp(abspath &p);
   int fgeti(int *i);
   int fputi(int i);
   int fgetc(char *c);
   int fputc(char c);
   int fgetl(long *l);
   int fputl(long l);

   int fgetl(DWORD *l)
   {
      return fgetl((long*)l);
   }
   int fputl(DWORD l)
   {
      return fputl((long)l);
   }
   int fgeti(UINT *i)
   {
      return fgeti((int*)i);
   }
   int fputi(UINT i)
   {
      return fputi((int)i);
   }
   int fgetc(BYTE *c)
   {
      return fgetc((char*)c);
   }
   int fputc(BYTE c)
   {
      return fputc((char)c);
   }
   long ftell()
   {
      return ::ftell(f);
   }
   void free();
   void fseek(long off, int beg);
};

