#define __IINFO_H


#ifndef __ICTRLLER_H
#include "ictrller.h"
#endif


class strlines;


class iinfo                           /* base class for any install info class */
{
   public:

   iinfo(ictrller &icx):ic(icx)
   {

   }
   virtual ~iinfo()            /* we need to delete a generic install info obj */
   {

   }

   ictrller &ic;                         /* the controller we are working with */

   virtual int getmagic()                           = 0;
   virtual int chksetup()                           = 0;
   virtual int chkendpm()                           = 0;
   virtual int chkreboot()                          = 0;
   virtual int getnocs()                            = 0;
   virtual int getnofs()                            = 0;
   virtual int getnois()                            = 0;
   virtual int getnoes()                            = 0;
   virtual int getnors()                            = 0;
   virtual int getnots()                            = 0;
   virtual int getnods()                            = 0;
   virtual int getcnockids(int i)                   = 0;
   virtual int getcnofkids(int i)                   = 0;
   virtual int getcnoikids(int i)                   = 0;
   virtual int getcnoekids(int i)                   = 0;
   virtual int getcnorkids(int i)                   = 0;
   virtual int getcckid(int i, int j)               = 0;
   virtual int getcfkid(int i, int j)               = 0;
   virtual int getcikid(int i, int j)               = 0;
   virtual int getcekid(int i, int j)               = 0;
   virtual int getcrkid(int i, int j)               = 0;
   virtual int getblksize()                         = 0;
   virtual int getnoblksca()                        = 0;
   virtual int getnoblksup()                        = 0;
   virtual int getmintime()                         = 0;
   virtual int getlogdir(varpath *logdir)           = 0;
   virtual int getft(int i)                         = 0;
   virtual int chkfcond(int i, int *b)              = 0;
   virtual int getappname(char s[])                 = 0;
   virtual int getaddlgname(int i, char s[])        = 0;
   virtual int getffr01(int i, ictrller::ffr01 *p)  = 0;
   virtual int getffr02(int i, ictrller::ffr02 *p)  = 0;
   virtual int getffr03(int i, ictrller::ffr03 *p)  = 0;
   virtual int getffr04(int i, ictrller::ffr04 *p)  = 0;
   virtual int getcfr00(int i, ictrller::cfr00 *p)  = 0;
   virtual int getifr00(int i, ictrller::ifr00 *p)  = 0;
   virtual int getefr00(int i, ictrller::efr00 *p)  = 0;
   virtual int getrfr00(int i, ictrller::rfr00 *p)  = 0;
   virtual int gettfr00(int i, ictrller::tfr00 *p)  = 0;
   virtual int getdosnols(int iscfig)               = 0;
   virtual int getdosl(int iscfig, int i, char s[]) = 0;
   virtual long getffr01size(int i)                 = 0;
   virtual DWORD getivhi32()                        = 0;
   virtual DWORD getivlo32()                        = 0;
};

